generic-lens-2.0.0.0: Generically derive traversals, lenses and prisms.

Copyright | (C) 2020 Csongor Kiss
License | BSD3
Maintainer | Csongor Kiss <kiss.csongor.kiss@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | None
Language | Haskell2010

Data.Generics.Sum

Contents

- Prisms

Description

Magic sum operations using Generics

These classes need not be instantiated manually, as GHC can automatically prove valid instances via Generics. Only the `Generic` class needs to be derived (see examples).

Synopsis

- module Data.Generics.Sum.Any
- module Data.Generics.Sum.Constructors
- module Data.Generics.Sum.Subtype
- module Data.Generics.Sum.Typed

# Prisms

module Data.Generics.Sum.Any

module Data.Generics.Sum.Constructors

module Data.Generics.Sum.Subtype

module Data.Generics.Sum.Typed